=== debian/control ===
Source: ros-dashing-rosbag2-converter-default-plugins
Section: misc
Priority: extra
Maintainer: Karsten Knese <karsten@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ament-cmake-gmock, ros-dashing-ament-index-cpp, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-pluginlib, ros-dashing-poco-vendor, ros-dashing-rcutils, ros-dashing-rmw, ros-dashing-rmw-fastrtps-cpp, ros-dashing-rosbag2, ros-dashing-rosbag2-test-common, ros-dashing-rosidl-generator-cpp, ros-dashing-test-msgs, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-rosbag2-converter-default-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-ament-index-cpp, ros-dashing-pluginlib, ros-dashing-poco-vendor, ros-dashing-rcutils, ros-dashing-rmw, ros-dashing-rmw-fastrtps-cpp, ros-dashing-rosbag2, ros-dashing-rosidl-generator-cpp, ros-dashing-ros-workspace
Description: Package containing default plugins for format converters
